// depth.fx
// by Julian "Jibb" Smart
// 2009

const float4x4 matWorldViewProj;

float4 vecSkill1;

float fAlpha;

texture entSkin1;
sampler ColourSampler = sampler_state {
	Texture = <entSkin1>;
};

void VS	(in float4 inPos	:	POSITION,
			in float2 inTex	:	TEXCOORD0,
			out float4 outPos	:	POSITION,
			out float2 outTex	:	TEXCOORD0,
			out float4 outPos2:	TEXCOORD1) {
	outPos = mul(inPos, matWorldViewProj);
	outPos2 = outPos;
	outTex = inTex;
}

float4 PS	(in float2 inTex		:	TEXCOORD0,
				in float4 inPos		:	TEXCOORD1)	:	COLOR0 {
	return float4(inPos.z, 0.0, 0.0, 1.0);
}

technique depthTech {
	pass p0 {
		AlphaBlendEnable = FALSE;
		ZWriteEnable = TRUE;
//		AlphaTestEnable = TRUE;
//		AlphaRef = 250;
		VertexShader = compile vs_2_0 VS();
		PixelShader = compile ps_2_0 PS();
	}
}
